| GL Studio C++ Runtime API

Public Types | Public Member Functions | Public Attributes | List of all members
glsInlineImage Struct Reference

`#include <image.h>`

## Public Types
typedef const unsigned char *const | _BufferType
| Typedef for the type of buffer used by images.

## Public Member Functions
| glsInlineImage (unsigned int width, unsigned int height, unsigned int components, unsigned int pixel_format, glsImageCodec codec, unsigned long crc, bool gl_tex_compress, unsigned long image_data_size, unsigned long alpha_data_size, unsigned int line_length, const unsigned char *const *rgb_buffer, const unsigned char *const *alpha_buffer)

## Public Attributes
unsigned int | _width
| Width of image in pixels.
unsigned int | _height
| Height of image in pixels.
unsigned int | _components
| Number of components in image.
unsigned int | _pixel_format
| GL_RGB, GL_RGBA ...
glsImageCodec | _codec
| CODEC used to compress image.
unsigned long | _crc
| CRC of image data (compressed or uncompressed?).
bool | _gl_texture_compression
| Value of GlTextureCompression.
unsigned long | _image_data_size
| Size of RGB data (compressed).
unsigned long | _alpha_data_size
| Size of Alpha data (compressed). Zero if no alpha channel present.
unsigned int | _line_length
| Length of each line of inline data, in bytes.
_BufferType * | _rgb_buffer
| Pointer to the static compressed rgb buffer for the image.
_BufferType * | _alpha_buffer
| Pointer to the static compressed alpha layer for the image.

## Detailed Description

The glsInlineImage structure. This structure is generated and contains information needed to create reconstruct an inline generated image.

## Constructor & Destructor Documentation

## ◆ glsInlineImage()

glsInlineImage | ( | unsigned int | width,
|  | unsigned int | height,
|  | unsigned int | components,
|  | unsigned int | pixel_format,
|  | glsImageCodec | codec,
|  | unsigned long | crc,
|  | bool | gl_tex_compress,
|  | unsigned long | image_data_size,
|  | unsigned long | alpha_data_size,
|  | unsigned int | line_length,
|  | const unsigned char *const * | rgb_buffer,
|  | const unsigned char *const * | alpha_buffer
| ) |  |
| inline

Constructor

Parameters

  width | Width of image in pixels.
  height | Height of image in pixels.
  components | Number of components in image.
  pixel_format | GL_RGB, GL_RGBA ...
  codec | CODEC used to compress image.
  crc | CRC of image data (compressed or uncompressed?).
  gl_tex_compress | Value of GlTextureCompression.
  image_data_size | Size of RGB data (compressed).
  alpha_data_size | Size of Alpha data (compressed). Zero if no alpha channel present.
  line_length | Length of each line of inline data, in bytes.
  rgb_buffer | Pointer to the static compressed rgb buffer for the image.
  alpha_buffer | Pointer to the static compressed alpha layer for the image.

The documentation for this struct was generated from the following file:

- image.h